Type to search.

Update conversation attachment

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.2 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Update an attachment content. Creates a new version if content changed.

Required privileges

Privileges agentBuilder:read

Path parameters

conversation_id string · max length: 256 required

The unique identifier of the conversation.

attachment_id string · max length: 256 required

The unique identifier of the attachment to update.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

data object required

The new attachment data/content.

description string · max length: 2048

Optional new description for the attachment.

render_inline boolean · default: false

When true, the attachment is rendered inline in the UI when the conversation is opened, without the agent referencing it.

Response

200

Indicates a successful response

application/json